Subject: Doctrine\Query is not serializable
Description

For widgets, it is crucial that Query objects are serializable and deserializeable,
so one should be able to do:

$newQuery = deserialize(serialize($query))
 $newQuery->execute() (or something else)

Maybe a functional test for this would be nice?

One thing I already discovered further is that the properties in QueryResult should be protected, not private.

Greets,
Sebastian

Related issues:
related to TYPO3.Flow - Bug # 28995: Deferred Loading does not work with Doct... Resolved 2011-08-16

Associated revisions
Revision 86877174 - 2011-06-07 16:05 - Karsten Dambekalns

[BUGFIX] Make Doctrine\Query serializable

Makes Doctrine\Query serializable and cleans up some code a little.

Change-Id: Ifd8ed7a46d9701c406e186e2d3b3d6b1f39596e0
Fixes: #26862

History
#1 - 2011-05-27 16:24 - Mr. Hudson

Patch set 1 of change Ifd8ed7a46d9701c406e186e2d3b3d6b1f39596e0 has been pushed to the review server.
It is available at http://review.typo3.org/2400

#2 - 2011-05-27 16:24 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-05-30 12:17 - Mr. Hudson

Patch set 2 of change Ifd8ed7a46d9701c406e186e2d3b3d6b1f39596e0 has been pushed to the review server.
It is available at http://review.typo3.org/2400

#4 - 2011-06-07 16:06 - Mr. Hudson

Patch set 3 of change Ifd8ed7a46d9701c406e186e2d3b3d6b1f39596e0 has been pushed to the review server.
It is available at http://review.typo3.org/2400

#5 - 2011-06-07 19:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:868771749bb2187f73cc9d498afeacab2c96fa5a.
